﻿using DataAcquisitionSolution.DTO;
using WCS.Core;

namespace DataAcquisitionSolution;

/// <summary>
///     数据采集
/// </summary>
public static class DataAcquisition
{
    /// <summary>
    ///     PLC信息
    /// </summary>
    public static List<DbInfoDto> PlcInfos = new();

    /// <summary>
    ///     PLC信息添加
    /// </summary>
    /// <param name="db">DB块名称</param>
    /// <param name="length"></param>
    /// <param name="ip">IP地址</param>
    public static void PlcInfosAdd(ushort db, ushort length, string ip)
    {
        var info = new DbInfoDto
        {
            No = db,
            PlcInfo = new PLCInfo
            {
                IP = ip,
                Port = 102,
                Rack = 0,
                Slot = 1,
                Type = PLCType.Siemens
            },
            Length = length
        };
        info.Accessor = Configs.PLCAccessorCreater?.Create(info.PlcInfo);
        PlcInfos.Add(info);
    }
}