﻿using WCS.Core;
using PLCType = WCS.Core.PLCType;

namespace DataAcquisitionSolution.PLCAccessors;

/// <summary>
///     PLC访问器创建者
/// </summary>
public class PlcAccessorsCreater : IPLCAccessorCreater
{
    /// <summary>
    ///     创建PLC访问器
    /// </summary>
    /// <param name="data">PLC信息</param>
    /// <returns></returns>
    /// <exception cref="Exception"> </exception>
    public IPLCAccessor Create(PLCInfo data)
    {
        return data.Type switch
        {
            PLCType.Siemens => new SiemensS7Plc(data.IP, data.Port, data.Rack, data.Slot),
            _ => new VitrualRedisPLC(data, "127.0.0.1,database=1,prefix=Sorting:")
        };
    }
}