﻿using ServiceCenter;
using ServiceCenter.SqlSugars;

namespace DataAcquisitionSolution;

/// <summary>
///     业务工程配置信息
/// </summary>
public static class WorkStart
{
    /// <summary>
    ///     仓库
    /// </summary>
    public static string? WareHouses { get; set; }

    /// <summary>
    ///     初始化 设备信息
    /// </summary>
    public static void InitializeDeviceInfo()
    {
        DataAcquisition.PlcInfosAdd(520, 688, "10.30.37.166");
        DataAcquisition.PlcInfosAdd(521, 784, "10.30.37.166");
        DataAcquisition.PlcInfosAdd(523, 8484, "10.30.37.166");
        DataAcquisition.PlcInfosAdd(524, 11936, "10.30.37.166");

    }

    /// <summary>
    ///     初始化数据库连接
    /// </summary>
    /// <param name="datas"></param>
    public static void InitDb(this List<DataBaseConnectionString>? datas)
    {
        //初始化数据库
        SqlSugarHelper.Do(db =>
        {
            foreach (var connectionString in datas!)
            {
                db.Connect.GetConnectionScope(connectionString.Key);
                switch (connectionString.Key)
                {
                    case "WCSDB": //WCS基本数据库
                        SqlSugarHelper.SetDefault(connectionString.Key);
                        //_db.CodeFirst.InitTables(typeof(WCS_PlcData));
                        //_db.CodeFirst.InitTables(typeof(WCS_TaskInfo));
                        //_db.CodeFirst.InitTables(typeof(WCS_TaskDtl));
                        //_db.CodeFirst.InitTables(typeof(WCS_TaskOld));
                        //_db.CodeFirst.InitTables(typeof(WCS_AgvTaskInfo));
                        //_db.CodeFirst.InitTables(typeof(WCS_Palletizing));
                        //_db.CodeFirst.InitTables(typeof(WCS_PalletizingLayer));
                        //_db.CodeFirst.InitTables(typeof(WCS_PalletizingRow));
                        //_db.CodeFirst.InitTables(typeof(WCS_PalletizingLoc));
                        //_db.CodeFirst.InitTables(typeof(WCS_CacheLine));
                        //_db.CodeFirst.InitTables(typeof(WCS_CacheLineLoc));

                        break;

                    case "WCSDlog": //WCS日志数据库

                        break;

                    case "PLC": //PLC

                        SqlSugarHelper.SetPLC(connectionString.Key);

                        //_db.DbMaintenance.CreateDatabase();
                        //_db.CodeFirst.InitTables<WCS_Log>();
                        //_db.CodeFirst.InitTables<WCS_SRM520>();
                        //_db.CodeFirst.InitTables<WCS_SRM521>();
                        //_db.CodeFirst.InitTables<WCS_SRM537>();
                        //_db.CodeFirst.InitTables<WCS_RGV520>();
                        //_db.CodeFirst.InitTables<WCS_RGV521>();
                        //_db.CodeFirst.InitTables<WCS_BCR80>();
                        //_db.CodeFirst.InitTables<WCS_BCR81>();
                        //_db.CodeFirst.InitTables<WCS_BCR83>();
                        //_db.CodeFirst.InitTables<WCS_Station520>();
                        //_db.CodeFirst.InitTables<WCS_Station521>();
                        //_db.CodeFirst.InitTables<WCS_Station523>();
                        //_db.CodeFirst.InitTables<WCS_Station524>();
                        //_db.CodeFirst.InitTables<WCS_Station525>();
                        //_db.CodeFirst.InitTables<WCS_Station90>();
                        //_db.CodeFirst.InitTables<WCS_Station91>();
                        //_db.CodeFirst.InitTables<WCS_Truss520>();
                        //_db.CodeFirst.InitTables<WCS_Truss521>();
                        //_db.CodeFirst.InitTables<WCS_Truss523>();
                        //_db.CodeFirst.InitTables<WCS_Truss530>();
                        //_db.CodeFirst.InitTables<WCS_Truss531>();
                        //_db.CodeFirst.InitTables<WCS_Robot520>();
                        //_db.CodeFirst.InitTables<WCS_Robot521>();
                        //_db.CodeFirst.InitTables<WCS_Robot522>();
                        //_db.CodeFirst.InitTables<WCS_Robot530>();
                        //_db.CodeFirst.InitTables<WCS_Robot531>();
                        //var a = false;
                        break;
                }

                ;
            }

            ;
        });
    }
}